Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2019-02203, UID# 2744
App. Status: Expired

Valid: 12/03/2019 - 12/06/2019
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2459 (12/02/2019)

Charge Cost Quantity Total
Non-Taxable
added 12/02/2019 3:19 PM

Base fee for drilling rigs and workover rigs. Select additional fees from the schedule based on vehicle size and weight.

$500.00 x 1 $500.00
added 12/02/2019 3:19 PM

Workover Rigs & Cranes 100,001 - 110,000 lbs

$60.00 x 1 $60.00
added 12/02/2019 3:17 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $590.00
Payment 12/02/2019$590.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantThomas D. Stidd - 12/02/2019 2:01 PM
d5c05fbc9959bf0246e2c3a9610eb85a
9283ad302657c843b65e863b12501235
 
#1 Permit Issuing OfficialRachel Grimm - 12/02/2019 3:20 PM
e69871a8d089d9296fa6401e622e3d40
63c6d8901d191317e30a7eee04bb61a1
 
Permit has been approved. All signatures have been obtained.